Hooks:PostHook( WeaponFactoryTweakData, "init", "CZ75SRModInit", function(self)
	
	self.wpn_fps_pis_rally.animations = {
		reload = "reload",
		reload_not_empty = "reload_not_empty",
		fire = "recoil",
		fire_steelsight = "recoil"
	}
	
	self.parts.wpn_fps_pis_rally_sl_std.weapon_stance_override = {bm_w_rally = "cz75sr_ads"}
	self.parts.wpn_fps_pis_rally_sl_silver.weapon_stance_override = {bm_w_rally = "cz75sr_ads"}
	
	self.wpn_fps_pis_rally.adds = {
			wpn_fps_upg_fl_pis_laser = {"wpn_fps_pis_g26_fl_adapter"},
			wpn_fps_upg_fl_pis_tlr1 = {"wpn_fps_pis_g26_fl_adapter"},
			wpn_fps_upg_fl_pis_crimson = {"wpn_fps_pis_g26_fl_adapter"},
			wpn_fps_upg_fl_pis_x400v = {"wpn_fps_pis_g26_fl_adapter"},
			wpn_fps_upg_fl_pis_m3x = {"wpn_fps_pis_g26_fl_adapter"}
		}
	
	self.wpn_fps_pis_rally.override = {}
	self.wpn_fps_pis_x_rally.override = {}
	self.parts.wpn_fps_pis_rally_ba_dummy.override = {}
	
	local cz75srfls = {
	"wpn_fps_upg_fl_pis_laser",
	"wpn_fps_upg_fl_pis_tlr1",
	"wpn_fps_upg_fl_pis_crimson",
	"wpn_fps_upg_fl_pis_x400v",
	"wpn_fps_upg_fl_pis_m3x",
	"wpn_fps_pis_g26_fl_adapter"
	}
	for i, part_id in ipairs(cz75srfls) do
		self.wpn_fps_pis_rally.override[part_id] = {a_obj = "cz75srfl"}
		self.wpn_fps_pis_x_rally.override[part_id] = {a_obj = "cz75srfl"}
	end
	
	local cz75sr_exts = {
	"wpn_fps_upg_ns_pis_large",
	"wpn_fps_upg_ns_pis_medium",
	"wpn_fps_upg_ns_pis_small",
	"wpn_fps_upg_ns_pis_large_kac",
	"wpn_fps_upg_ns_pis_medium_gem",
	"wpn_fps_upg_ns_pis_medium_slim",
	"wpn_fps_upg_ns_pis_jungle",
	"wpn_fps_upg_ns_pis_meatgrinder",
	"wpn_fps_upg_ns_pis_ipsccomp",
	"wpn_fps_upg_pis_ns_flash"
	}
	for i, part_id in ipairs(cz75sr_exts) do
		self.wpn_fps_pis_rally.override[part_id] = {a_obj = "a_ns",parent = "barrel"}
		self.wpn_fps_pis_x_rally.override[part_id] = {a_obj = "a_ns",parent = "barrel"}
	end
	for i, part_id in ipairs(cz75sr_exts) do
		self.parts.wpn_fps_pis_rally_ba_dummy.override[part_id] = {a_obj = "a_cz75srns"}
	end
	
	
end )